{#
Template for the page where a verified contributor can validate other
contributors that he/she knows by uploading their public key. The
public key is signed with the verified contributors private key.
Author: Jero Schäfer
Last modified: 12.07..2020
#}
{% extends "base.html" %}
{% import "form_styling_macro.html" as macros %}

{% macro file_field(field) %}
    {{ field(class_='form-control input') }}
{% endmacro %}

{% block page_content %}
    <main role="main">
        <section class="jumbotron text-center">
            <div class="container">
                <h1 class="jumbotron-heading">Verify a Contributor</h1>
                <p class="lead text-muted">
                    Only verified contributors are allowed to upload their songs to the
                    NICE system.
                </p>
                <hr class="my-4"/>
                <p class="lead text-muted">
                    If you are a verified contributor and you want to verify another person
                    such that he/she can also contribute their songs to the system, just ask
                    the person for his/her public key and upload it to the system by signing
                    it with your own private key.
                </p>
                <div>
                    <p>
                    <form class="form" method="post" role="form" enctype="multipart/form-data">
                        {{ form.csrf_token() }}
                        {{ macros.render_field(form.ver_public_key, with_label="True") }}
                        {{ macros.render_field(form.ver_private_key, with_label="True") }}
                        {{ macros.render_field(form.con_public_key, with_label="True") }}
                        <br/>
                        {{ macros.render_field(form.submit) }}
                    </form>
                    </p>
                </div>
            </div>
        </section>
    </main>
{% endblock %}